/*******************************************************************************
 * Copyright 2016 Centre for Development of Advanced Computing(C-DAC), Pune
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package in.cdac.medinfo.csnotk.csnolib.icdmap;

import java.util.Date;

/**
 * Defines the data/structure to be provided as input diagnosis record.
 * It has data members and corresponding getters and setters.
 */
public class Record {

	private long primarySCTID;
	private String secondarySCTID;
	private String gender;
	private Date birthDate;
	private Date diagnosisDate;
	private long episodeNo;

	/**
	 * Gets the primary diagnosis id.
	 * @return
	 * SNOMED CT ID (conceptId).
	 */
	public long getPrimarySCTID() {
		return this.primarySCTID;
	}

	/**
	 * Sets the primary diagnosis id. 
	 * SNOMED CT ID (conceptId).
	 * @param primarySCTID 
	 */
	public void setPrimarySCTID(long primarySCTID) {
		this.primarySCTID = primarySCTID;
	}

	/**
	 * Gets the secondary diagnosis id(s).
	 * @return
	 * SNOMED CT ID (conceptId).
	 */
	public String getSecondarySCTID() {
		return this.secondarySCTID;
	}

	/**
	 * Sets the secondary diagnosis id(s).
	 * @param secondarySCTID
	 * SNOMED CT ID (conceptId).
	 */
	public void setSecondarySCTID(String secondarySCTID) {
		this.secondarySCTID = secondarySCTID;
	}

	/**.
	 * Gets the gender of the patient
	 * @return
	 * gender.
	 */
	public String getGender() {
		return this.gender;
	}

	/**
	 * Sets the gender of the patient.
	 * @param gender
	 * gender.
	 */
	public void setGender(String gender) {
		this.gender = gender;
	}

	/**
	 * Gets the birth date of the patient.
	 * @return
	 * birth date (MM-DD-YYYY).
	 */
	public Date getBirthDate() {
		return this.birthDate;
	}

	/**
	 * Sets the birth date of the patient.
	 * @param birthDate
	 * birth date (MM-DD-YYYY).
	 */
	public void setBirthDate(Date birthDate) {
		this.birthDate = birthDate;
	}

	/**
	 * Gets the diagnosis date.
	 * @return
	 * diagnosis date (MM-DD-YYYY).
	 */
	public Date getDiagnosisDate() {
		return this.diagnosisDate;
	}

	/**
	 * Sets the diagnosis date.
	 * @param diagnosisDate
	 * diagnosis date (MM-DD-YYYY).
	 */
	public void setDiagnosisDate(Date diagnosisDate) {
		this.diagnosisDate = diagnosisDate;
	}

	/**
	 * Gets the diagnosis episode number.
	 * @return
	 * episode number.
	 */
	public long getEpisodeNo() {
		return this.episodeNo;
	}

	/**
	 * Sets the diagnosis episode number.
	 * @param episodeNo
	 * episode number.
	 */
	public void setEpisodeNo(long episodeNo) {
		this.episodeNo = episodeNo;
	}
}
